#downloadManager {
  background-color: ThreeDFace;
}

/* Download View */
#downloadView {
  -moz-appearance: none !important;
  margin: 0;
  border-bottom: 2px solid;
  -moz-border-bottom-colors: ThreeDHighlight ThreeDLightShadow;
}

/* Download View Items */
richlistitem[type="download"] {
  padding: 4px 8px 4px 4px;
  min-height: 46px;
}

richlistitem[type="download"][alternate="true"]:not([selected="true"]) {
  background-color: ThreeDLightShadow;
}

richlistitem[type="download"] .name {
  font-size: larger;
}

#information {
  -moz-appearance: none;
  background-color: white;
  width: 300px;
  max-width: 300px;
}

#information > button .button-text {
  -moz-box-flex: 1;
  text-align: left;
  -moz-padding-start: 2px;
}

.mini-button {
  -moz-appearance: none;
  list-style-image: url(chrome://mozapps/skin/downloads/buttons.png);
  background-color: transparent;
  border: none;
  padding: 0;
  margin: 0;
  min-width: 0;
  min-height: 0;
}

.mini-button > .button-box {
  padding: 0 !important;
}

.cancel {
  -moz-image-region: rect(0px, 32px, 16px, 16px);
}
.info {
  -moz-image-region: rect(0px, 16px, 16px, 0px);
}
.open {
  -moz-image-region: rect(16px, 32px, 32px, 16px);
}
.pause {
  -moz-image-region: rect(32px, 32px, 48px, 16px);
}
.resume {
  -moz-image-region: rect(16px, 48px, 32px, 32px);
}
.retry {
  -moz-image-region: rect(0px, 48px, 16px, 32px);
}

#information-uri {
  -moz-image-region: rect(16px, 16px, 32px, 0px);
}
#information-location {
  -moz-image-region: rect(32px, 16px, 48px, 0px);
}

.blockedIcon {
  list-style-image: url(chrome://global/skin/icons/Error.png);
}

/* prevent flickering when changing states */
.downloadTypeIcon {
  min-height: 32px;
  min-width: 32px;
}

#searchbox[empty] {
  color: GrayText;
}
